Bug 1634569 - rpmdeplint: Remove (sub)packages from Fedora 30+: python2-rpmdeplint
Summary: rpmdeplint: Remove (sub)packages from Fedora 30+: python2-rpmdeplint
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmdeplint
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-10-01 08:56 UTC by Miro Hrončok
Modified: 2019-01-14 17:54 UTC (History)
7 users (show)

Fixed In Version: rpmdeplint-1.4-5.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-14 17:54:21 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2018-10-01 08:56:06 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of rpmdeplint were marked for removal:

 * python2-rpmdeplint

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 2 Miro Hrončok 2019-01-07 17:24:36 UTC
+ py.test-3 rpmdeplint
============================= test session starts ==============================
platform linux -- Python 3.7.2, pytest-3.9.3, py-1.7.0, pluggy-0.8.0
rootdir: /builddir/build/BUILD/rpmdeplint-1.4, inifile:
collected 8 items

rpmdeplint/tests/test_dependency_analyzer.py F                           [ 12%]
rpmdeplint/tests/test_dependency_set.py .                                [ 25%]
rpmdeplint/tests/test_repodata.py ......                                 [100%]

=================================== FAILURES ===================================
______________________ TestDependencyAnalyzer.test_repos _______________________

self = <rpmdeplint.tests.test_dependency_analyzer.TestDependencyAnalyzer testMethod=test_repos>

    def test_repos(self):
        repo_path = os.path.join(os.path.dirname(__file__), 'repos')
        sack = base.TestSack(repo_dir=repo_path)
        sack.load_test_repo("base1", "base_1.repo")
        sack.load_test_repo("test", "test.repo")
        da = DependencyAnalyzer(repos={}, packages=[], sack=sack)
    
        pkgs = da.list_latest_packages()
        self.assertEqual(6, len(pkgs))
        self.assertIs(type(pkgs), list)
    
        want_cinnamon = da.find_packages_that_require('cinnamon')
        self.assertEqual(1, len(want_cinnamon))
        apple_pie = want_cinnamon[0]
        self.assertEqual('apple-pie-1.9-1.x86_64', str(apple_pie))
    
        ok, result = da.try_to_install(apple_pie)
        self.assertEqual(True, ok)
        self.assertEqual(5, len(result['installs']))
    
>       ok, result = da.try_to_install(*pkgs)

rpmdeplint/tests/test_dependency_analyzer.py:33: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

self = <rpmdeplint.DependencyAnalyzer object at 0x7f2aa282f748>
packages = (<hawkey.Package object id 2, lemmon-1-3.noarch, base1>, <hawkey.Package object id 3, peeler-4-0.x86_64, base1>, <hawk...key.Package object id 6, apple-4.9-3.x86_64, test>, <hawkey.Package object id 7, lemmon-meringue-pie-1-0.x86_64, test>)
g = <hawkey.Goal object at 0x7f2aa4420900>
package = <hawkey.Package object id 7, lemmon-meringue-pie-1-0.x86_64, test>
results = {'erasures': [], 'installs': [], 'problems': [], 'upgrades': []}

    def try_to_install(self, *packages):
        """
        Try to solve the goal of installing the given package,
        starting from an empty package set.
        """
        g = hawkey.Goal(self._sack)
        for package in packages:
            g.install(package)
        results = dict(installs = [], upgrades = [], erasures = [], problems = [])
        install_succeeded = g.run()
        if install_succeeded:
            results['installs'] = g.list_installs()
            results['upgrades'] = g.list_upgrades()
            results['erasures'] = g.list_erasures()
        else:
>           results['problems'] = g.problems
E           AttributeError: 'Goal' object has no attribute 'problems'

rpmdeplint/__init__.py:187: AttributeError
====================== 1 failed, 7 passed in 0.20 seconds ======================

Shall I skip the test?

Comment 3 Miro Hrončok 2019-01-07 17:29:20 UTC
Given https://pagure.io/rpmdeplint/c/60073672ab8123d0550a4a92e5f3ba5569dcfa20 I assume skipping this test is fine.

Will wait one extra week before I proceed.


Note You need to log in before you can comment on or make changes to this bug.